QGIS Application - Bug report #15627
Icons not displayed in QGIS plugin manager for python plugins
2016-09-28 03:18 AM - Thomas Baumann

Status: Closed

Priority: Normal

Assignee: Borys Jurgiel

Category: Plugin Manager

Affected QGIS version:2.14.1 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23550
Description

The QGIS-Plugin-Manager seems to have a bug. After installing python plugins there is no icon available in the plugin description:

https://i.stack.imgur.com/g9b7H.png

Instead of the proper icon there is a placeholder displayed for each python plugin:

https://i.stack.imgur.com/poWRF.png

| copied the path to the image
https://i.stack.imgur.com/czxSL.png

wich is:

file://c/Users/myusername/.qgis2/python/plugins/Digitizing Tools/digitizingtools.png

It seems as if the path would only work for unix filesystems as there is no colon after the drive letter.

wrong path:

c/Users/myusername/.qgis2/python/plugins/DigitizingTools/digitizingtools.png

correct path:
C:\\Users\\myusername\\.qgis2\\python\\plugins\\Digitizing Tools\\digitizingtools.png

For C++-Plugins the icons are displayed:
https://i.stack.imgur.com/fi5u6.png

For the C++ plugins the resource path is used:
grc:/heatmap/heatmap.png

Is this a known bug?

Associated revisions

Revision 248bc5db - 2017-11-23 10:19 AM - Borys Jurgiel

Fix #15627: missing plugin icons in Plugin Manager
History

#1 - 2017-05-01 01:03 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2017-11-23 10:19 AM - Borys Jurgiel
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|248bc5db032cf4a5f7b1b762dd265181105004e2.
